Bug 250287 - system-config-services-0.9.8-1.fc7 always shows the wrong run-level
system-config-services-0.9.8-1.fc7 always shows the wrong run-level
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-services (Show other bugs)
7
i686 Linux
low Severity high
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-31 12:51 EDT by NILMONI DEB
Modified: 2008-06-16 22:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:01:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description NILMONI DEB 2007-07-31 12:51:49 EDT
Description of problem:
In system-config-services, go to "Edit runlevel". It shows "Runlevel 5" in my 
case which is wrong since /etc/inittab has this line ->

id:3:initdefault:

Also, /sbin/runlevel shows "N 3" which means system-config-services is reading 
the wrong run-level.

In system-config-services, when I change to run-level 3, it does not let me 
save the settings (the save button does not get activated). When I close 
system-config-services and restart it, it again shows run-level 5.

Version-Release number of selected component (if applicable):
system-config-services-0.9.8-1.fc7

How reproducible:
Always
  
Expected results:
Show the same run-level as that obtained from /sbin/runlevel command

Additional info:
The file /usr/share/system-config-services/servicemethods.py defines the 
routine ->

    def get_runlevel(self):
        """returns the current runlevel, uses /sbin/runlevel"""
        status, output = getstatusoutput("/sbin/runlevel", self.uicallback)
        # This is the current runlevel
        return int(output[2])

which seems to be doing the right thing. It seems then the problem may be in 
some other script like /usr/share/system-config-services/serviceconf.py .
Comment 1 Bug Zapper 2008-05-14 09:46:54 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 22:01:54 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.